import type { Metadata } from "next";
import Navbar from "./_components/navbar/Navbar";
import { getServerSession } from "api/auth/[...nextauth]/auth";
import { Error } from "_components/Error";

export const metadata: Metadata = {
	title: "VAR: Disponent",
	description: "Die neue VAR Leitstelle.",
};

export default async function RootLayout({
	children,
}: Readonly<{
	children: React.ReactNode;
}>) {
	const session = await getServerSession();

	if (!session?.user.permissions.includes("DISPO"))
		return (
			<Error
				title=" Fehlende Berechtigung"
				description="Du hast nicht die erforderlichen Berechtigungen, dich als Disponent anzumelden. Du kannst im HUB Kurse abschließen um die Berechtigung zu erhalten."
				statusCode={403}
			/>
		);

	return (
		<>
			<Navbar />
			{children}
		</>
	);
}
